Installer - Bug #8915

The foreman-installer script exits without useful information when trusted_node_data = true
01/12/2015 03:23 PM - Trevor Vaughan

Status: Duplicate
Priority: High
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

We are looking to integrate The Foreman into a pre-existing system and are having difficulties.
First, the foreman-installer script exits with return code 25 and the following error message:

Could not get default values, check log file at /var/log/foreman-installer/foreman-installer.log f
or more information

The foreman-installer.log file contains:

[ERROR 2015-01-12 20:11:49 main] Repeating errors encountered during run:
[ERROR 2015-01-12 20:11:49 main] Could not get default values, cannot continue

If we remove the 'trusted_node_data = true' line from puppet.conf, the installer continues.

Expectation: trusted_node_data should be allowed when using The Foreman installer.

Related issues:
Blocked by Installer - Bug #8944: rename facts parameter in foreman puppet mo... Closed 01/13/2015

History

#1 - 01/13/2015 07:42 PM - Anonymous

- Blocked by Bug #8944: rename facts parameter in foreman puppet module added

#2 - 02/10/2015 10:13 AM - Dominic Cleal

- Status changed from New to Duplicate

This should be resolved in Foreman 1.8 and current nightlies thanks to #8944.
